> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy thông tin tổng hợp tài khoản của user



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /me/account
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /me/account:
    get:
      tags:
        - Me
      summary: Lấy thông tin tổng hợp tài khoản của user
      operationId: Me_GetUserAccount
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FireAnt.Api.Models.Users.UserAccount'
            text/json:
              schema:
                $ref: '#/components/schemas/FireAnt.Api.Models.Users.UserAccount'
        '400':
          description: Có lỗi khi thực hiện thao tác
      security:
        - oauth2:
            - user-data-read
components:
  schemas:
    FireAnt.Api.Models.Users.UserAccount:
      type: object
      properties:
        id:
          type: string
        membership:
          $ref: '#/components/schemas/FireAnt.Api.Models.Users.UserMembership'
        investorRelation:
          $ref: '#/components/schemas/FireAnt.Api.Models.Users.UserInvestorRelation'
        profile:
          $ref: '#/components/schemas/FireAnt.Api.Models.Users.UserProfile'
        moneyAccount:
          $ref: '#/components/schemas/FireAnt.Api.Models.Money.Account'
        identityData:
          $ref: '#/components/schemas/FireAnt.Api.Models.Users.UserIdentityData'
        identityVerified:
          type: boolean
        hasPinCode:
          type: boolean
    FireAnt.Api.Models.Users.UserMembership:
      type: object
      properties:
        level:
          format: int32
          type: integer
        endDate:
          format: date-time
          type: string
        applications:
          type: array
          items:
            $ref: >-
              #/components/schemas/FireAnt.Api.Models.Users.SubscribedApplication
    FireAnt.Api.Models.Users.UserInvestorRelation:
      type: object
      properties:
        symbol:
          type: string
        endDate:
          format: date-time
          type: string
    FireAnt.Api.Models.Users.UserProfile:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        status:
          type: string
        isExpert:
          type: boolean
        isTeacher:
          type: boolean
        bio:
          type: string
        address:
          type: string
        facebookLink:
          type: string
        totalPosts:
          format: int32
          type: integer
        totalLikes:
          format: int64
          type: integer
        followers:
          format: int32
          type: integer
        following:
          format: int32
          type: integer
        followed:
          type: boolean
        blocked:
          type: boolean
        beingBlocked:
          type: boolean
        groups:
          format: int32
          type: integer
        isAuthentic:
          type: boolean
    FireAnt.Api.Models.Money.Account:
      type: object
      properties:
        accountID:
          format: int32
          type: integer
        totalBalance:
          format: double
          type: number
        blockedBalance:
          format: double
          type: number
        availableBalance:
          format: double
          type: number
          readOnly: true
        userName:
          type: string
        updatedDate:
          format: date-time
          type: string
        mxvInvestorCode:
          type: string
        fMarketID:
          type: string
        fMarketStatus:
          type: string
        fMarketAccountDate:
          format: date-time
          type: string
    FireAnt.Api.Models.Users.UserIdentityData:
      type: object
      properties:
        phoneNumber:
          type: string
        email:
          type: string
        identityName:
          type: string
        identityNumber:
          type: string
        address:
          type: string
        dateOfBirth:
          format: date-time
          type: string
        sex:
          type: string
        hometown:
          type: string
        nationality:
          type: string
        features:
          type: string
        issueDate:
          format: date-time
          type: string
        issueLocation:
          type: string
        expiredDate:
          format: date-time
          type: string
    FireAnt.Api.Models.Users.SubscribedApplication:
      type: object
      properties:
        id:
          format: int32
          description: ' (0 = Web, 1 = Mobile, 2 = MetaKit, 3 = Excel, 4 = Copilot, 5 = MagicSignal, 6 = MagicChart, 7 = MobileCopilot)'
          enum:
            - 0
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
          type: integer
        version:
          format: int32
          type: integer
        endDate:
          format: date-time
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.